This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 19008 - Stroboscopic RDF download transients
Stroboscopic RDF download transients
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: gnorpm (Show other bugs)
7.0
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Dale Lovelace
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-12 20:04 EDT by rh-devel
Modified: 2007-03-26 23:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-12 15:41:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description rh-devel 2000-10-12 20:04:08 EDT
In gnorpm 0.95.1, requesting Operations|Preferences downloads a bunch of
rpmfind RDFs from redhat.  The problem: for each one of these, a new
transient is opened.  If the wm is configured for either under-pointer or
interactive placement (or any placement modes falling back to these modes,
e.g. those of sawfish), the UI becomes largely unusable for as long as the
download takes (about 30s, on a 56k modem) -- plus incurring a lot of
click-and-wait in the interactive-placement case.  In general, stroboscopic
behavior is problematic when not well-contained.

Suggested fix: spawn one transient, give two progressbars (total and
per-download).

It'd be nice to download by default only the files for the current
architecture, but that's a lesser issue.
Comment 1 Alan Cox 2000-10-14 13:33:15 EDT
Yep. Im aware of this issue. Its on the 1.0 fix list.
Comment 2 Alan Cox 2000-12-12 15:41:25 EST
Fixed in gnome cvs
Comment 3 Elliot Lee 2001-01-30 12:38:58 EST
Reported as fixed.

Note You need to log in before you can comment on or make changes to this bug.